from django.db import models

# Create your models here.
class Warp_Machine(models.Model):
    tws_code = models.CharField(max_length=50, null=True)
    user_id = models.CharField(max_length=50, null=True)
    company_code = models.CharField(max_length=50, null=True)
    tws_name = models.CharField(max_length=50, null=True)
    tws_installation_time = models.DateTimeField(null=True)
    tws_ip = models.CharField(max_length=50, null=True)

    class Meta:
        db_table = 'Warp_Machine'


class Knit_Machine(models.Model):
    trs_code = models.CharField(max_length=50, null=True)
    user_id = models.CharField(max_length=50, null=True)
    company_code = models.CharField(max_length=50, null=True)
    trs_installation_time = models.DateTimeField(null=True)
    trs_model_name = models.CharField(max_length=50, null=True)
    trs_beam_cnt = models.IntegerField(null=True)
    trs_bar_cnt = models.IntegerField(null=True)
    trs_eac_enable = models.IntegerField(null=True)
    trs_tempo = models.IntegerField(null=True)
    trs_lowmotor_enable = models.IntegerField(null=True)
    trs_gauge = models.IntegerField(null=True)
    trs_ip = models.CharField(max_length=50, null=True)

    class Meta:
        db_table = 'Knit_Machine'


